header {
    position: relative;
    z-index: 9999;
}

.header_top_row_inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header_top_row_col1 {
    display: flex;
    align-items: center;
}

.header_top_row_col1 span {
    font-size: 17px;
    color: #000;
    padding-left: 10px;
}

.header_top_row {
    padding: 6px !important;
}

.header-content-main-wrapper-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
    gap: 40px;
}


/* Contact Info Section */

.contact-info {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    min-width: max-content;
}

.call-label {
    color: #e0e6ed;
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 2px;
}

.phone-number {
    color: #ffffff;
    font-size: 20px;
    font-weight: 700;
}


/* User Actions Section */

.user-actions {
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 35px;
}

.action-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
    color: #ffffff;
    cursor: pointer;
    transition: opacity 0.2s ease;
}

.action-link:hover {
    opacity: 0.8;
}

.action-icon {
    width: 26px;
    height: 26px;
    fill: #ffffff;
    margin-bottom: 6px;
}

.action-text {
    font-size: 14px;
    font-weight: 400;
}


/* Specific Cart Styles */

.cart-icon-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    width: 100%;
}

.cart-badge {
    position: absolute;
    top: -8px;
    right: -10px;
    background-color: #ffc107;
    /* Yellow badge */
    color: #000000;
    font-size: 13px;
    font-weight: 700;
    height: 22px;
    min-width: 22px;
    border-radius: 11px;
    /* perfectly round edges */
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 6px;
}

.header_center_row {
    padding: 10px 100px !important;
}

.dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp {
    background: transparent !important;
}

.search-wrapper {
    width: 45%;
}

.contact-info {
    width: 25% !important;
}

.user-actions {
    width: 30% !important;
}

.header_menu_row {
    border-top: 1px solid #FFFFFF33;
}

.header_menu_box ul li {
    padding: 0 !important;
}

.header_menu_box ul li a {
    font-size: 14px;
    color: #fff !important;
    font-weight: 400;
    padding: 0px 20px;
}

.header_menu_box ul li a:hover {
    color: #ffc107 !important;
    opacity: 1;
}

.header_col1 {
    width: 82% !important;
}

.header_col2 {
    width: 18% !important;
}

.btn_call_header_inner span {
    width: 29px;
    height: 29px;
    display: flex;
    align-items: center;
}

.btn_call_header_inner {
    background: #fff;
    border-radius: 100px;
}

.btn_call_header_inner span {
    width: 29px;
    height: 29px;
    background: #072446;
    display: flex;
    align-items: center;
    border-radius: 100px;
    justify-content: center;
}

.btn_call_header_inner a {
    display: flex;
    font-size: 16px;
    color: #000;
    align-items: center;
    font-family: "Source Sans 3", sans-serif;
    justify-content: space-between;
    padding: 5px 8px;
}

.btn_call_header_inner:hover {
    background: #ffc107;
}

/* mobaile menu */
.mobile_header {
    position: fixed !important;
    width: 100% !important;
    background: #fff !important;
    top: 0 !important;
    box-shadow: rgb(0 0 0 / 25%) 0px 25px 20px -20px !important;
    border-bottom: 1px solid #082444 !important;
}

.mobile_head_row.pd0 {
    padding: 8px !important;
}

.mbl_btn .btn_col {
    width: 50%;
    margin: 0;
}

.mbl_btn .site_button {
    width: 100%;
    border-radius: unset !important;
    padding: 0 !important;
    border: 1px solid #fff;
}

.mob_col_1 {
    width: 70% !important;
}

.mob_col_2 {
    width: 30% !important;
}

.mob_head_logo {
    width: 100% !important;
    line-height: 0 !important;
}

.mob_head_logo img {
    object-fit: contain;
    object-position: left;
    width: 100% !important;
    height: 55px;
}

.fullmenu-wrapper {
    position: relative;
    z-index: 9999;
}

ul#menu-mobaile_menu {
    padding: 0 !important;
}

.adg_site_header_fixed {
    top: 0;
    position: fixed;
    width: 100%;
}

.adg_site_header_fixed .header_top_row {
    display: none !important;
}

.menu-btn {
    background: transparent;
    border: none;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin: auto;
    margin-right: 0;
    justify-content: center;
    align-items: center;
    width: 35px;
    height: 35px;
}

.col_logo_mob {
    width: 200px !important;
}

.menu-btn span {
    width: 18px;
    height: 1px;
    background: #fff;
    display: block;
}

.menu-bg {
    position: fixed;
    top: 0;
    right: 0;
    width: 60px;
    height: 60px;
    background: #fff;
    border-radius: 50%;
    z-index: 10000;
    transform: scale(0);
    transition: transform 0.5s ease;
}

.menu-bg.expand {
    transform: scale(60);
}

ul.sub-menu li a {
    font-size: 16px;
}

.fullmenu-nav {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    background: transparent;
    justify-content: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.4s ease;
    z-index: 10002;
}

.fullmenu-nav.open {
    opacity: 1;
    pointer-events: auto;
}

.menu-close {
    position: absolute;
    top: -2px;
    bottom: auto;
    right: -2px;
    left: auto;
    background: #072446;
    font-size: 24px;
    color: #fff;
    cursor: pointer;
    width: 35px;
    height: 35px;
    line-height: 0;
    border: none;
    font-weight: 100;
}

.fullmenu-wrapper {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: center;
}

ul.sub-menu li {
    border: none;
}

.fullmenu-wrapper li li::after {
    display: none;
}

.fullmenu-wrapper ul.sub-menu {
    box-shadow: none !important;
}

.fullmenu-wrapper .main_drop ul li {
    width: 100% !important;
}

.fullmenu-wrapper li {
    list-style-type: none;
    position: relative;
    border-bottom: 1px dashed #000;
    text-align: left;
    display: block;
    line-height: normal !important;
    margin: 0 !important;
    padding: 10px 20px !important;
    opacity: 0;
    transform: translateX(-100%);
    animation: slideIn 0.5s forwards;
}

.fullmenu-wrapper li a {
    display: block;
    color: #000 !important;
    font-size: 14px;
    text-decoration: none;
    transition: color 0.3s ease;
    width: 100%;
}

@keyframes slideIn {
    to {
        opacity: 1;
        transform: translateX(0);
    }
}

ul.sub-menu li a {
    font-size: 14px;
}

.fullmenu-wrapper li.menu-item-has-children>a::after {
    content: "\33";
    font-size: 20px;
    position: absolute;
    top: 9px;
    right: 20px;
    font-family: ETmodules !important;
    border-radius: 100px;
    color: #000;
    line-height: 1;
    left: auto;
}

.fullmenu-wrapper ul.sub-menu {
    padding-left: 10px !important;
}

.fullmenu-wrapper li.open>a::after {
    content: "\32" !important;
}

.fullmenu-wrapper ul.sub-menu {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    padding: 0 !important;
}

.fullmenu-wrapper li.open>ul.sub-menu {
    max-height: max-content;
    /* adjust as needed */
}

.menu-mobaile_menu-container {
    padding-top: 60px;
}

.header_top_row {
    padding: 0;
}

.fullmenu-wrapper ul {
    display: block;
    padding: 0 !important;
    height: 78vh;
    overflow: auto;
}

.logo_menu {
    text-align: left !important;
    width: 120px;
    padding: 40px 10px 20px 10px;
    background: #082444;
    margin: auto;
    line-height: 0;
}

.mobaile_header_center {
    display: flex;
    align-items: center;
}

.menu-main-menu-container {
    padding-top: 0px;
}

.menu_copyright {
    position: absolute;
    bottom: 0;
    background: #082444;
    padding: 10px;
    color: #fff;
    width: 100%;
    left: 0;
    right: 0;
    font-size: 14px;
}



@media all and (min-width: 320px) and (max-width: 980px) {
    .header_top_box_main {
        display: flex;
        align-items: center;
    }

    .header_top_box_main_inner1 {
        width: 50%;
        text-align: center;
    }

    .header_top_box_main_inner1 a {
        color: #000;
    }

    .mobaile_header_center {
        padding: 10px !important;
    }

    .header_mob_logo img {
        width: 150px !important;
    }

    .mobaile_header {
        position: fixed !important;
        width: 100% !important;
        top: 0 !important;
    }

    div#main-content {
        margin-top: 90px;
    }
}

@media all and (min-width: 481px) and (max-width: 767px) {}

@media all and (min-width: 768px) and (max-width: 980px) {}

@media only screen and (min-width: 981px) and (max-width: 1024px) {
    .header_top_row_col1 span {
        font-size: 12px;
    }

    .header_center_row {
        padding: 10px !important;
    }

    .header_menu_box ul li a {
        padding: 0px 8px;
    }

    .btn_call_header_inner a {
        font-size: 12px;
    }

    .header-content-main-wrapper-inner {
        gap: 20px;
    }

    .user-actions {
        gap: 10px;
        width: 35% !important;
    }

    .dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
        padding: 7px 10px 12px 48px !important;
    }

    .action-text {
        font-size: 12px;
    }

    .btn_call_header_inner span {
        display: none;
    }

    .phone-number {
        font-size: 16px;
    }
}

@media all and (min-width: 1025px) and (max-width: 1140px) {
    .header_top_row_col1 span {
        font-size: 14px;
    }

    .header_center_row {
        padding: 10px 20px !important;
    }

    .header_menu_box ul li a {
        padding: 0px 8px;
    }

    .btn_call_header_inner a {
        font-size: 12px;
    }

    .header-content-main-wrapper-inner {
        gap: 20px;
    }

    .user-actions {
        gap: 8px;
        width: 38% !important;
    }

    .dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
        padding: 7px 10px 12px 48px !important;
    }

    .action-text {
        font-size: 12px;
        text-align: center;
    }

    .btn_call_header_inner span {
        display: none;
    }

    .phone-number {
        font-size: 16px;
    }
}

@media all and (min-width: 1141px) and (max-width: 1280px) {
    .header_top_row_col1 span {
        font-size: 14px;
    }

    .header_center_row {
        padding: 10px 20px !important;
    }

    .header_menu_box ul li a {
        padding: 0px 8px;
    }

    .btn_call_header_inner a {
        font-size: 14px;
    }

    .header-content-main-wrapper-inner {
        gap: 20px;
    }

    .user-actions {
        gap: 15px;
    }

    .dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
        padding: 7px 10px 12px 48px !important;
    }

    .action-text {
        font-size: 12px;
    }

    .btn_call_header_inner span {
        display: none;
    }

    .phone-number {
        font-size: 16px;
    }
}

@media all and (min-width: 1281px) and (max-width: 1440px) {
    .header_top_row_col1 span {
        font-size: 14px;
    }

    .header_center_row {
        padding: 10px 20px !important;
    }

    .header_menu_box ul li a {
        padding: 0px 8px;
    }

    .btn_call_header_inner a {
        font-size: 14px;
    }

    .header-content-main-wrapper-inner {
        gap: 20px;
    }

    .user-actions {
        gap: 15px;
    }

    .dgwt-wcas-style-pirx .dgwt-wcas-sf-wrapp input[type=search].dgwt-wcas-search-input {
        padding: 7px 10px 12px 48px !important;
    }
}

@media all and (min-width: 1441px) and (max-width: 1680px) {
    .header_center_row {
        padding: 10px 20px !important;
    }

    .header_menu_box ul li a {
        padding: 0px 8px;
    }

    .btn_call_header_inner a {
        font-size: 14px;
    }

    .header-content-main-wrapper-inner {
        gap: 20px;
    }
}

@media all and (min-width: 1681px) and (max-width: 1880px) {
    .header_center_row {
        padding: 10px 20px !important;
    }

    .header_menu_box ul li a {
        padding: 0px 17px;
    }
}

@media all and (min-width: 981px) and (max-width: 3000px) {}